Subject: RE: serial_sa1100

From: Jeff Sutherland <[email-masked]>
Date: Tue, 8 Aug 2000 09:18:20 -0400

> Hello,
> 
> New to the list and arm-linux and still finding my way 
> around. Good to meet 
> you. Have what I hope is an easy question....
> 
> If I take 2.4.0-test5 sources and apply rmk2 (or rmk1) patches and 
> configure for Assabet, an attempt is made to link in 
> serial_sa1100.c which 
> is not part of the rmk patches. Looks like I can go over to 
> netwinder and 
> get this from Nico Pitre (thank you!) -- but I guess I'm 
> wondering if this 
> is what I'm "supposed" to do? That is, does a driver like 
> this "live" with 
> the author/maintainer? Or is it something that eventually 
> migrates over to 
> the rmk tree and then the main kernel sources?
> 
> As the list traffic goes by and I poke around in the archives 
> the landscape 
> is slowly being revealed, but it takes a while to figure out 
> who is doing 
> what where and the other secret handshakes of your mysterious 
> tribe! :-) 
> Any pointers to keep me on the One True Path(tm) are appreciated.
> 
> Thanks,
> 
> -- Ward

For the SA1100 specific support, particularly for the Assabet, after
applying Russell King's patch, you must apply Nicolas Pitre's patch.  These
are found at ftp.netwinder.org/users/n/nico and are mirrored at other
places.  Nico also has a ramdisk image which you will need after you get
your kernel to boot in order to do anything useful.  After patching, please
see the ARM specific section under linux/Documentation in your kernel
source.

//Jeff

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]